Class List Method List File List

# Module: Concurrent::Promises::FactoryMethods::Configuration

Included in:
  Concurrent::Promises::FactoryMethods
Defined in:
  lib/concurrent/edge/promises.rb

## Instance Method Summary (collapse)

- - (Executor, :io, :fast) default_executor

  The executor which is used when none is supplied to a factory method.

## Instance Method Details

### - (`Executor`, `:io`, `:fast`) default_executor

Returns the executor which is used when none is supplied to a factory method. The method can be overridden in the receivers of `include FactoryMethod`

Returns:

- (`Executor`, `:io`, `:fast`) —

  the executor which is used when none is supplied to a factory method. The method can be overridden in the receivers of `include FactoryMethod`

    80
    81
    82

    # File 'lib/concurrent/edge/promises.rb', line 80

    def default_executor
      :io
    end